Soucis avec App Store et Safari

JMV

Membre enregistré
10 Juin 2021
3
0
68
Bonjour,
je suis newbie dans le monde Mac.
Pour faire connaissance avec ce monde, je viens justement d'acheter d'occasion un Mac Pro de 2006 dans une entreprise qui déstocke ses vieilles machines.
Le technicien qui me l'a préparée m'a dit qu'il y avait dessus la dernière version d'OS compatible avec le matériel, à savoir OS X 10.7.5
J'ai pour l'instant quelques problèmes avec l'App Store et avec Safari et je suis preneur de toute info permettant de me débloquer.

À propos de l'App Store :
j'ai voulu télécharger ma première application, une petite, une gratuite. Quand vient le téléchargement je dois fournir un identifiant Apple que je n'ai pas. Et pour le créer le système demande une mise à jour logicielle ( le menu Pomme/Mises à jour logicielles … dit que le système est à jour) et suggère une maj de l'OS. D'où le blocage puisqu'il semble que OS X 10.7.5 soit la dernière version possible.

À propos de Safari :
Safari refuse d'ouvrir certains sites faute de pouvoir établir une connexion sécurisée (mais pas tous, le protocole https fonctionne très bien avec d'autres).
Je me doute qu'il s'agit d'un Pb de certificats mais je ne vois pas comment gérer ça/

Merci de votre aide.
JMV
 

Anthony

Chasseur de spam
MacGeneration
Administrateur
Club iGen
28 Octobre 2005
4 210
1 753
metrozendodo.fr
Quand vient le téléchargement je dois fournir un identifiant Apple que je n'ai pas. Et pour le créer le système demande une mise à jour logicielle ( le menu Pomme/Mises à jour logicielles … dit que le système est à jour) et suggère une maj de l'OS. D'où le blocage puisqu'il semble que OS X 10.7.5 soit la dernière version possible.

Tu peux créer un identifiant Apple depuis un autre appareil ou depuis le web.

Safari refuse d'ouvrir certains sites faute de pouvoir établir une connexion sécurisée (mais pas tous, le protocole https fonctionne très bien avec d'autres).
Je me doute qu'il s'agit d'un Pb de certificats mais je ne vois pas comment gérer ça/

Ce n’est pas seulement un problème de certificats, c’est un problème de compatibilité avec les évolutions récentes des méthodes de chiffrement. Les sites qui utilisent les dernières ne peuvent pas être affichées dans la vieille version de Safari installée avec 10.7.5. Mieux vaut installer un navigateur plus récent, comme Firefox 45 ESR, mais ça ne fera que repousser le problème.

(Et accessoirement, je déplace dans la bonne rubrique.)
 

JMV

Membre enregistré
10 Juin 2021
3
0
68
Tu peux créer un identifiant Apple depuis un autre appareil ou depuis le web.



Ce n’est pas seulement un problème de certificats, c’est un problème de compatibilité avec les évolutions récentes des méthodes de chiffrement. Les sites qui utilisent les dernières ne peuvent pas être affichées dans la vieille version de Safari installée avec 10.7.5. Mieux vaut installer un navigateur plus récent, comme Firefox 45 ESR, mais ça ne fera que repousser le problème.

(Et accessoirement, je déplace dans la bonne rubrique.)
Merci pour la réponse rapide.
Pour l'identifiant Apple, c'est fait.
La phrase "mais ça ne fait que repousser le problème" me laisse perplexe.

(Et accessoirement, je déplace dans la bonne rubrique.)
Quelle est la bonne rubrique ?
JMV.
 

flotow

AppIeSpirit™
Club MacG
23 Mars 2004
13 238
2 856
Merci pour la réponse rapide.
Pour l'identifiant Apple, c'est fait.
La phrase "mais ça ne fait que repousser le problème" me laisse perplexe.

(Et accessoirement, je déplace dans la bonne rubrique.)
Quelle est la bonne rubrique ?
JMV.
Ça veut dire qu’une machine de 2006 est dépassé pour faire des taches de 2021
Y compris naviguer sur le web de 2021

Par contre si tu restes sur des applications (sauf le navigateur et d’autres services internet) qui datent de l’époque de ta machine, tu n’auras pas de soucis.
 
  • J’aime
Réactions: maxou56

maxou56

Membre expert
Club MacG
14 Avril 2020
3 693
750
Lorient
La phrase "mais ça ne fait que repousser le problème" me laisse perplexe.
Bonjour,
MacOS 10.7 date de 2011 et à reçu la dernière MAJ en 2012. (la version actuel macOS 11 BigSur correspond à 10.16)
Et que safari date aussi de 2012 (avec les technologies du web de cette époque) et donc ça pose des problèmes avec les sites "modernes" en https.
Et que même firefox 45 ESR c'est vieux aussi, pour info on est actuellement sur Mac en version 89 de firefox.
 

JMV

Membre enregistré
10 Juin 2021
3
0
68
Bonjour,
je reviens vers vous après plusieurs jours d'essais infructueux.
Tout d'abord, je confirme ce que dit maxou56 sur firefox : Firefox 45 ESR n'est pas "supporté" par OS X Lion.

Sur l'App Store : l'accès se fait dorénavant par une identification à deux facteurs, ce que OS X Lion ne supporte pas non plus.
Quand, par bonheur j'arrive à passer cette étape (en concaténant mot de passe et code à 6 chiffres envoyé par SMS) le système requiert une mise à jour logicielle, quand je tente cette mise à jour, le même système me dit que tout est à jour.
J'ai un peu l'impression de tourner en rond.

Sur une des pages du support Apple je lis que l'on peut passer de OS X Lion à OS X Yosemide (10.10), El Capitan (10.11) ou macOS Sierra (10.12).
Je suis preneur d'infos là-dessus. C'est possible ? Comment faire ?
Merci de votre aide.
JMV.
 

maxou56

Membre expert
Club MacG
14 Avril 2020
3 693
750
Lorient
Sur une des pages du support Apple je lis que l'on peut passer de OS X Lion à OS X Yosemide (10.10), El Capitan (10.11) ou macOS Sierra (10.12).
Je suis preneur d'infos là-dessus. C'est possible ? Comment faire ?
Mac Pro de 2006
Bonjour,
Si c'est bien un Mac Pro 2006 (MacPro1,1) alors l'OS maximum est 10.7.5.
Et même avec un patch ça ne semble pas possible.

El Capitan semble possible avec application Pikify: